package com.bankaudit.process.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="audit_grading_param_composite_rating_dtls")
public class AuditGradingParamCompositeRatingDtls implements Serializable {
  
 	private static final long serialVersionUID = -7353425525061187427L;
 	
	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	
	@Id
	@Column(name="audit_type_code")
	private String auditTypeCode;
	
	@Id
	@Column(name="audit_id")
	private String auditId;
	 
	@Id
	@Column(name="sl_no")
	private Integer slNo;
 
	@Id
	@Column(name="disp_seq_no")
	private String dispSeqNo;	
	 	
	@Column(name="param_name")
	private String paramName;	
	
	@Column(name="display_value_key_RO")
	private String 	displayValueKeyRO;
	
	@Column(name="score_ro")
	private String scoreRo;
	
	@Column(name="category_ro")
	private String categoryRo;
	
	@Column(name="score_ho")
	private String scoreHo;
	
	@Column(name="category_ho")
	private String categoryHo;
 
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	public String getAuditId() {
		return auditId;
	}

	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}

	public Integer getSlNo() {
		return slNo;
	}

	public void setSlNo(Integer slNo) {
		this.slNo = slNo;
	}

	public String getDispSeqNo() {
		return dispSeqNo;
	}

	public void setDispSeqNo(String dispSeqNo) {
		this.dispSeqNo = dispSeqNo;
	}

	public String getParamName() {
		return paramName;
	}

	public void setParamName(String paramName) {
		this.paramName = paramName;
	}

	public String getDisplayValueKeyRO() {
		return displayValueKeyRO;
	}

	public void setDisplayValueKeyRO(String displayValueKeyRO) {
		this.displayValueKeyRO = displayValueKeyRO;
	}

	public String getScoreRo() {
		return scoreRo;
	}

	public void setScoreRo(String scoreRo) {
		this.scoreRo = scoreRo;
	}

	public String getCategoryRo() {
		return categoryRo;
	}

	public void setCategoryRo(String categoryRo) {
		this.categoryRo = categoryRo;
	}

	public String getScoreHo() {
		return scoreHo;
	}

	public void setScoreHo(String scoreHo) {
		this.scoreHo = scoreHo;
	}

	public String getCategoryHo() {
		return categoryHo;
	}

	public void setCategoryHo(String categoryHo) {
		this.categoryHo = categoryHo;
	}
 
}
